본문으로 건너뛰기

chain_api.push_block ​

disabled

The chain_api plugin is defined in source but not enabled on public nodes; the namespace is not registered.

Purpose ​

블록을 노드에 푸시합니다.

파라미터: block:object (서명된 블록); currently_syncing:bool (선택 사항, 기본값 false)

success:bool을 반환하며, 실패 시 error:string을 반환합니다.

Parameters ​

PARAMETERS
json
{
  "block": {},
  "currently_syncing": false
}

⚠ steem 소스 코드에 정의되어 있지만, 퍼블릭 노드에서는 활성화되지 않았습니다.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "chain_api.push_block",
    "params": {
      "block": {},
      "currently_syncing": false
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "success": true,
  "error": null
}

Expected curl responses ​

EXPECTED RESPONSES
text
Could not find API chain_api